<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import type { User } from '@/types/User'
import { computed, onMounted, ref } from 'vue'

const userStore = useAuthStore()

onMounted(() => {
  userStore.getCurrentUser()
})

const isBranch = computed(() => {
  const currentUser: User | null = userStore.getCurrentUser()
  if (currentUser !== null && currentUser !== undefined) {
    return currentUser.branch.id
  }
  return false
})
const isOwner = computed(() => {
  const currentUser: User | null = userStore.getCurrentUser()
  if (currentUser !== null && currentUser !== undefined) {
    return currentUser.roles.some((role) => role.name === 'Owner')
  }
  return false
})

const tab = ref(null)
</script>
<template>
  <div>
    <v-tabs v-model="tab" color="brown" align-tabs="center" style="height: 60px">
      <v-tab
        :value="1"
        style="margin-right: 100px"
        class="custom-tab"
        :to="{ name: 'sales1' }"
        :disabled="isBranch != 1 && isOwner !== true"
        >Branch-1</v-tab
      >
      <v-tab
        :value="2"
        style="margin-right: 100px"
        class="custom-tab"
        :to="{ name: 'sales2' }"
        :disabled="isBranch != 2 && isOwner !== true"
        >Branch-2</v-tab
      >
      <v-tab
        :value="3"
        class="custom-tab"
        :to="{ name: 'sales3' }"
        :disabled="isBranch != 3 && isOwner !== true"
        >Branch-3</v-tab
      >
    </v-tabs>
  </div>
</template>

<style scoped>
* {
  font-family: 'Kanit';
}
</style>
